Bug 654247 - [RFE] get rid of the diagnostics information
[RFE] get rid of the diagnostics information
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
rawhide
All All
low Severity low
: ---
: ---
Assigned To: Bryn M. Reeves
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 05:30 EST by Pierre Carrier
Modified: 2014-04-01 07:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-01 07:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Carrier 2010-11-17 05:30:46 EST
Problem:
- sos should do one thing but well (fast, reliable): gather data.
- Trying to start the diagnostics before/while inside sosreport prevents us from releasing early and often diagnostics tools.
- Outdated/broken messages are annoying, sometimes prevent the generation of the sosreport (eg. historical bug of locale handling in cluster services status)

Solution:
- All diagnostics features should be completely dropped.
- A new tool, later in the chain, should look at those historical diagnostics features to integrate them.
Comment 1 Fedora Admin XMLRPC Client 2012-02-25 08:50:33 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-02-27 08:59:44 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bryn M. Reeves 2012-12-11 13:48:19 EST
Fixed upstream:

commit e92fd7c3fdbfe0b829597a862e9426c3951dfa5a
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Tue Dec 11 18:31:55 2012 +0000

    Remove diagnose() wiring
    
    Complete the removal of the diagnose functionality by removing the
    methods in the Plugin class and sosreport module, command line
    options and documentation.

Note You need to log in before you can comment on or make changes to this bug.